/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_FECO                                                     */
/* Tabela : FERIFILI                                                          */
/*                                                                            */
/* Criao:                                                                   */
/* 04/05/2004 - David Moreno Ferreira                                         */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_FECO'  and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_FECO
GO

CREATE TRIGGER DTULTATU_FECO
ON FERICOMP
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'FERICOMP', CDFILIAL, 'CDFILIAL='  + CDFILIAL  + ';'+
                                             'DTFERICOMP='+ CONVERT(CHAR,DTFERICOMP,120)+ ';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE FERICOMP
      SET DTULTATUFECO = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(FERICOMP.DTFERICOMP,CONVERT(DATETIME,'31/12/1899')) =
             ISNULL(INSERTED.DTFERICOMP,CONVERT(DATETIME,'31/12/1899'))) AND
            (ISNULL(FERICOMP.CDFILIAL,0) = ISNULL(INSERTED.CDFILIAL,0));
   END;
END;
GO

